<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.GetEnumerator Method
SecondaryCursor Class See Also Send Feedback

Returns an enumerator that iterates through the SecondaryCursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public IEnumerator<KeyValuePair<DatabaseEntry, KeyValuePair<DatabaseEntry, DatabaseEntry>>> GetEnumerator()

Visual Basic (Declaration)

    Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of DatabaseEntry, KeyValuePair(Of DatabaseEntry, DatabaseEntry)))

Visual C++

    public:
    virtual IEnumerator<KeyValuePair<DatabaseEntry^, KeyValuePair<DatabaseEntry^, DatabaseEntry^>>>^ GetEnumerator() sealed

#### Return Value

An enumerator for the SecondaryCursor.

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# Remarks

The enumerator will begin at the cursor's current position (or the first record if the cursor has not yet been positioned) and iterate forwards (i.e. in the direction of MoveNext()()()) over the remaining records.

# See Also

SecondaryCursor Class
BerkeleyDB Namespace